Subject: Re: bug#14685: aclocal and AC_CONFIG_MACRO_DIR

From: Stefano Lattarini <[email-masked]>
Date: Sat, 22 Jun 2013 08:55:59 +0200

severity 14685 minor
thanks

On 06/21/2013 10:19 PM, Werner LEMBERG wrote:
> 
> [automake 1.14]
> 
> [erroneously sent to the `automake' list]
> 
> It seems that there are problems if AC_CONFIG_MACRO_DIR contains more
> than a single directory.
>
That's because AC_CONFIG_MACRO_DIR (provided by Autoconf) is only
meant to accept one directory as its argument.  For two or more dirs,
you should use AC_CONFIG_MACRO_DIRS instead (which BTW also works
if only one dir is given, so I'd suggest you to unconditionally
prefer it over AC_CONFIG_MACRO_DIR).  But that said, ...

>  Calling
> 
>   aclocal -I gnulib/m4 --force -I m4
> 
> within the attached bundle causes
> 
>   aclocal: error: couldn't open directory 'gnulib/m4 m4':
>                   No such file or directory
>
... I see this error message is definitely unclear; it could be
improved to suggest you to use AC_CONFIG_MACRO_DIRS whenever you
have to or more m4 directories.  So I'm not closing this bug report,
either until such an improved error message is implemented (as
usual, patches are very welcome), or until someone proves me that
my proposed change would be a bad idea.

> If I comment out the lines
> 
>   AC_CONFIG_MACRO_DIR([gnulib/m4
>                        m4])
> 
> in `configure.ac' the call succeeds.
> 
> 
>     Werner
> 
> 
> PS: Sorry for not sending a minimum example, but I don't have enough
>     time to work on that.
> 
Not to worry, the issue is crystal-clear to us even without an
example (minimal or otherwise).

Thank you,
  Stefano